Skip to main content
GET
/
authorize
Initiate User Authentication
curl --request GET \
  --url https://signin.altostrat.io/authorize
import requests

url = "https://signin.altostrat.io/authorize"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://signin.altostrat.io/authorize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Query Parameters

response_type
enum<string>
required

Specifies the response type. code is used for the Authorization Code Flow.

Available options:
code,
token,
id_token,
code token,
code id_token,
token id_token,
code token id_token
client_id
string
required

The application's unique identifier.

redirect_uri
string<uri>
required

The URL to which the user is redirected after authentication. Must be an allowed callback URL.

scope
string
required

A space-separated list of permissions. offline_access is required to receive a refresh token.

state
string
required

An opaque value used to prevent CSRF attacks.

code_challenge
string
required

The Base64-URL-encoded hash of the code_verifier.

code_challenge_method
enum<string>
required

The method used to generate the challenge. S256 is recommended.

Available options:
S256,
plain

Response

302

Redirects the user to the Altostrat login page. After success, redirects back to the redirect_uri.